Package org.apache.tools.ant.types.resources

# Class Last

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
org.apache.tools.ant.types.resources.SizeLimitCollection
org.apache.tools.ant.types.resources.Last

All Implemented Interfaces:
  `Cloneable`, `Iterable<Resource>`, `ResourceCollection`

public class Last extends SizeLimitCollection
ResourceCollection that contains the last `count` elements of another ResourceCollection, a la the UNIX tail command.

Since:
  Ant 1.7.1

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Last()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Collection<Resource>`
  `getCollection()`
  Take the last `count` elements.

  ### Methods inherited from class org.apache.tools.ant.types.resources.SizeLimitCollection

  `getCount, getValidCount, setCount, size`

  ### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper

  `createIterator, getSize`

  ### Methods inherited from class org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper

  `add, dieOnCircularReference, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, toString`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

  `isEmpty, stream`

- ## Constructor Details

  - ### Last

    public Last()

- ## Method Details

  - ### getCollection

    protected Collection<Resource> getCollection()
    Take the last `count` elements.
    Specified by:
      `getCollection` in class `BaseResourceCollectionWrapper`
    Returns:
      a Collection of Resources.